MINIDUMP_STRING Struct Reference

A variable-length UTF-16-encoded string carried within a minidump file. More...

`#include "dbghelp.h"`

## Public Attributes

uint32_t | Length
| The length of the Buffer field in bytes, not including the `NUL` terminator. More...
base::char16 | Buffer [0]
| The string, encoded in UTF-16, and terminated with a UTF-16 `NUL` code unit (two `NUL` bytes).

## Detailed Description

A variable-length UTF-16-encoded string carried within a minidump file.

The UTF-16 string is stored as UTF-16LE or UTF-16BE according to the byte ordering of the minidump file itself.

See also
  crashpad::MinidumpUTF8String

## Member Data Documentation

## Length

uint32_t MINIDUMP_STRING::Length

The length of the Buffer field in bytes, not including the `NUL` terminator.

Note
  This field is interpreted as a byte count, not a count of UTF-16 code units or Unicode code points.

The documentation for this struct was generated from the following file:

- compat/non_win/dbghelp.h